> ## Documentation Index
> Fetch the complete documentation index at: https://upstash-vector.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Quota

> This endpoint returns your current quota limits

## Response

<ResponseField name="maxDelay" type="int">
  The maximum relative delay allowed for a message in seconds
</ResponseField>

<ResponseField name="maxEndpointsPerTopic" type="int">
  How many endpoints the user can subscribe to a single topic.
</ResponseField>

<ResponseField name="maxMessageSize" type="int">
  Maximum message size in bytes
</ResponseField>

<ResponseField name="maxRequestsPerDay" type="int">
  How many messages the user may send per day.

  Returns 0 or negative values if the user has no limit.
</ResponseField>

<ResponseField name="maxRetries" type="int">
  How often a delivery will be retried
</ResponseField>

<ResponseField name="maxSchedules" type="int">
  How many schedules the user may create
</ResponseField>

<ResponseField name="maxTopics" type="int">
  How many topics the user may create.
</ResponseField>

<ResponseField name="retention" type="int">
  How long the messages will be kept in the database (seconds)
</ResponseField>

<ResponseField name="timeout" type="int">
  The timeout duration for outgoing http requests (seconds)
</ResponseField>

<RequestExample>
  ```shell curl
  curl -X GET "https://qstash.upstash.io/v1/quota/" \
    -H "Authorization: <token>"
  ```
</RequestExample>

<ResponseExample>
  ```json 202
  {
    "maxTopics": 20,
    "maxEndpointsPerTopic": 100,
    "maxMessageSize": 1048576,
    "maxRetries": 5,
    "maxSchedules": 100,
    "maxRequestsPerDay": 500000,
    "retention": 604800,
    "timeout": 300,
    "maxDelay": 2592000
  }
  ```
</ResponseExample>
